POST GET campaigns/lookup

Get full details of a campaign record

* required

Parameters

Name Type Description
campaignID integer Unique ID of a campaign. Required if campaignIDs is not provided.
campaignIDs array[integer] Multiple campaignIDs. Requests that use this parameter will change the response data from a single object to an array of objects. Required if campaignID is not provided.
25

Response Data

Returns a fully populated campaign object, or an array of campaign objects if looking up multiple campaignIDs
Name Type Description
campaignID integer Unique ID of campaign
contentCounts object Counts of content currently assigned to the campaign
automatedEmails integer Number of automated emails in campaign
calendarEvents integer Number of calendar events in campaign
landingPages integer Number of landing pages in campaign
manualEmails integer Number of manual emails in campaign
sms integer Number of SMS in campaign
socialMessages integer Number of social messages in campaign
surveys integer Number of surveys in campaign
workflows integer Number of workflows in campaign
dateAdded datetime Date record was added
dateModified datetime Date record was modified
description string Description of campaign
endDate date Last date of campaign
startDate date First date of campaign
status string Current status of campaign. One of: Active, Inactive
title string Title of campaign
userID integer ID of system user the campaign belongs to (owner)

Example Calls

Lookup campaign by ID

GET
/campaigns/lookup?campaignID=123
cURL
Copy
Response Data

Lookup multiple campaigns by array of IDs

POST
/campaigns/lookup
cURL
Copy
Response Data

API Console

The console uses production data, so BE CAREFUL!
GET
campaigns/lookup
Param Value Type Description
campaignID integer Unique ID of a campaign. Required if campaignIDs is not provided.
campaignIDs array[integer] Multiple campaignIDs. Requests that use this parameter will change the response data from a single object to an array of objects. Required if campaignID is not provided.
25
Access token: *